Subject: RE: pthreads on cygwin
From: Robert Collins <[email-masked]>
To: Jacob Vennervald Madsen <[email-masked]>
Cc: [email-masked]
Date: 04 Sep 2001 22:48:46 +1000

On Tue, 2001-09-04 at 22:41, Jacob Vennervald Madsen wrote:
> I've already tried that but it gives me the same error.

Then I'd look into your code and see if it could be doing something
whereby the thread calling pthread_equal is _not_ the thread that set
threadinfo->self.

I've confirmed that pthread_self, pthread_create and pthread_equal are
behaving properly with the code in my samdbox. (which while somewhat out
of date should have the most recent pthread changes).

Rob 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/